
QGIS Application - Bug report #12434

Wrong order in table

2015-03-23 09:48 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20605

Description

    -  open a table

    -  click twice on numeric column head (order by DESC)

    -  select several rows

    -  click on Move selection to top

The selection is moved to bottom instead.

Associated revisions

Revision d3c4da0b - 2015-06-11 07:34 PM - Jürgen Fischer

attribute: also put selected item on top if sorting descending (fixes #12434)

Revision f015cd7b - 2015-06-29 06:53 PM - Jürgen Fischer

attribute: also put selected item on top if sorting descending (fixes #12434)

(cherry picked from commit d3c4da0b66f70efdf0b2fcff4075395686f72203)

History

#1 - 2015-03-23 11:18 AM - Giovanni Manghi

- Category changed from Vectors to Attribute table

- Status changed from Open to Feedback

cannot confirm on master.

#2 - 2015-03-24 12:10 AM - Paolo Cavallini

Could you confirm it on 2.8 branch? If yes, fix should be identified and backported; if not, it should be confirmed it is not a local problem (which is unlikely,

as I tested both on Debian Sid and on various Windows). Are you sure you have set the order DESC?

#3 - 2015-04-01 08:12 AM - Harrissou Santanna

I can confirm here. (osgeo4w 64bits 2.8.1, rel-dev and master)

2024-03-20 1/2



But the sorted out field doesn't need to be a numeric one. Once there is DESC sorting, the selected rows are put at the bottom of the table (and the

selected rows are also sorted out according to the DESC option).

#4 - 2015-04-01 11:39 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Affected QGIS version changed from 2.8.1 to master

#5 - 2015-06-11 10:35 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"d3c4da0b66f70efdf0b2fcff4075395686f72203".
